import request from '@/utils/request'

// 查询短信设置列表
export function listSendMessage(query) {
  return request({
    url: '/system/sendMessage/list',
    method: 'get',
    params: query
  })
}

// 查询短信设置详细
export function getSendMessage(id) {
  return request({
    url: '/system/sendMessage/' + id,
    method: 'get'
  })
}

// 新增短信设置
export function addSendMessage(data) {
  return request({
    url: '/system/sendMessage',
    method: 'post',
    data: data
  })
}

// 修改短信设置
export function updateSendMessage(data) {
  return request({
    url: '/system/sendMessage',
    method: 'put',
    data: data
  })
}

// 删除短信设置
export function delSendMessage(id) {
  return request({
    url: '/system/sendMessage/' + id,
    method: 'delete'
  })
}

// 导出短信设置
export function exportSendMessage(query) {
  return request({
    url: '/system/sendMessage/export',
    method: 'get',
    params: query
  })
}